Can't seem to get Rejuvenate for Unity to work...

Discussion in 'PS Vita - Hacking & Homebrew' started by Voxel, Dec 6, 2015.

  1. Voxel
    OP

    Voxel Clumsy Coder

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,154
    5,786
    Jun 27, 2015
    United Kingdom
    England, UK
    Hello everyone,

    I have managed to install VitaDefilerClient onto PSM Dev for Unity, but whenever I run a .VELF file through it, my Vita throws an "error has occured in the following application" message.

    Is there a way to fix this? I'm running PSM Dev for Unity 1.05, and I have a 3.15 Vita Firmware.

    EDIT: a better question to ask would be how to correctly run the Rejuvenate hack?
     
    Last edited by Voxel, Dec 6, 2015
  2. Santaros

    Santaros GBAtemp Regular

    Member
    197
    66
    Oct 5, 2013
    Are you running the latest version of Rejuvenate? [0.3.4] I seem to remember getting a similar error when I attempted to run them whilst not knowing a new version was out.
     
    Voxel likes this.
  3. Voxel
    OP

    Voxel Clumsy Coder

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,154
    5,786
    Jun 27, 2015
    United Kingdom
    England, UK
    Yeah, I'm using that exact same version. Like I say, I'm using Rejuvenate for PSM Dev Unity.
     
  4. Santaros

    Santaros GBAtemp Regular

    Member
    197
    66
    Oct 5, 2013
    Ah, that makes things a bit harder then. The best way to use it is to run your velf on the PC via the batch file and then start up the client on your Vita. Some apps also haven't been updated to use the latest sdk and hence won't run. I remember needing to find updated builds of the ftp client and mgba at one point. You could try trawling the forum at Wololo:

    http://wololo.net/talk/viewforum.php?f=114

    Often the apps are updated without the applicable links on the main pages reflecting that, that may be the issue.
     
    Voxel likes this.
  5. Voxel
    OP

    Voxel Clumsy Coder

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,154
    5,786
    Jun 27, 2015
    United Kingdom
    England, UK
    Thanks. I just need VitaShell 0.2 to work, that's all. However, like you say, I don't think it's updated to use the latest SDK.
     
  6. Santaros

    Santaros GBAtemp Regular

    Member
    197
    66
    Oct 5, 2013
    No it definitely is using the latest, that's not the issue. FloW has updated it to v0.3 so you could give that a try. I'm a bit stuck as what to suggest on that, i'm using it on a 3.18 w/ Unity 1.05 and Rejuvenate 0.3.4 and it works fine.
     
    Voxel likes this.
  7. Voxel
    OP

    Voxel Clumsy Coder

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,154
    5,786
    Jun 27, 2015
    United Kingdom
    England, UK
    I'm using 3.15 w/ Unity 1.05 and Rejuvenate 0.3.4, but I'll give it another try when I get time.